Bug 156922 - update mail/mailagent to 3.1.68 / reduce warnings on perl 5.12
update mail/mailagent to 3.1.68 / reduce warnings on perl 5.12
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 09:40 UTC by kasahara
Modified: 2011-06-03 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (5.19 KB, patch)
2011-05-10 09:40 UTC, kasahara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kasahara 2011-05-10 09:40:05 UTC
I'm providing the distfile for mail/mailagent at http://eron.info/.

I noticed that the revision of upstream became 68, so I updated my
tarball accordingly.

Also mailagent uses some deprecated expressions on Perl 5.12 such 
as 'defined(%hash)' and generates a lot of warnings.  
So, I'd like to add a patch to fix them.

Fix: Here is the patch to update the port:
Comment 1 kasahara 2011-05-19 03:03:45 UTC
I had sent a patch (to reduce warnings) to the original author of
mailagent and it was accepted.  I'll compile a newer tarball and a
patch for the port soon.  Please wait for a while...
Comment 2 kasahara 2011-05-23 05:58:52 UTC
Could you please apply the following patch to update mailagent to
3.1.70 ?  Please use patch -E or delete
files/patch-agent::pl::compress.pl because it is fixed upstream.

diff -Nur mailagent/Makefile /usr/local/src/ports/mailagent/Makefile
--- mailagent/Makefile	2010-04-02 18:21:32.000000000 +0900
+++ /usr/local/src/ports/mailagent/Makefile	2011-05-23 13:43:48.016809899 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=		mailagent
-PORTVERSION=		3.1.65
+PORTVERSION=		3.1.70
 CATEGORIES=		mail
 MASTER_SITES=		http://eron.info/
 
diff -Nur mailagent/distinfo /usr/local/src/ports/mailagent/distinfo
--- mailagent/distinfo	2010-04-02 18:21:33.000000000 +0900
+++ /usr/local/src/ports/mailagent/distinfo	2011-05-23 13:43:58.411350368 +0900
@@ -1,3 +1,2 @@
-MD5 (mailagent-3.1.65.tar.bz2) = 8ba6f9f5bdf850b19d6f38e7d02a3322
-SHA256 (mailagent-3.1.65.tar.bz2) = 3212c1e0118ccdae5209950377debe70ec3fa15dbe2b1dc422568f3e5dcd8ba1
-SIZE (mailagent-3.1.65.tar.bz2) = 454295
+SHA256 (mailagent-3.1.70.tar.bz2) = eb4676f402436cfe99ebd9af5b1e856ce0dab5c9703fa4668c21627d1c3ff6c4
+SIZE (mailagent-3.1.70.tar.bz2) = 455893
diff -Nur mailagent/files/patch-agent::pl::compress.pl /usr/local/src/ports/mailagent/files/patch-agent::pl::compress.pl
--- mailagent/files/patch-agent::pl::compress.pl	2010-04-02 18:21:33.000000000 +0900
+++ /usr/local/src/ports/mailagent/files/patch-agent::pl::compress.pl	1970-01-01 09:00:00.000000000 +0900
@@ -1,13 +0,0 @@
---- agent/pl/compress.pl.ORIG	2010-04-02 11:34:22.000000000 +0900
-+++ agent/pl/compress.pl	2010-04-02 12:06:36.000000000 +0900
-@@ -63,9 +63,8 @@
- 	unless (open(COMPSPEC, "$cf'compspec")) {
- 		# Configure a set of defaults if the user hasn't specified them manually
- 		# Fields are: tag extension compression_prog uncompress_prog cat_prog
--		# The following legacy line removed as modern systems lack compress:
--		# compress	.Z	compress	uncompress	zcat
- 		&add_compressor(<<'EOT');
-+compress	.Z	compress	uncompress	zcat
- gzip		.gz		gzip		gunzip		gunzip -c
- bzip2		.bz2	bzip2		bunzip2		bzcat
- EOT
Comment 3 kasahara 2011-05-23 08:54:54 UTC
I'm really sorry to spam this PR again, but I got another update which
is important because it changes the default configuration....

It is the latest patch against the current ports of mailagent.  Please
make sure to remove mailagent/files/patch-agent::pl::compress.pl.

diff -Nur /usr/ports/mail/mailagent/Makefile mailagent/Makefile
--- /usr/ports/mail/mailagent/Makefile	2010-04-02 18:21:32.000000000 +0900
+++ mailagent/Makefile	2011-05-23 16:26:32.973778909 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=		mailagent
-PORTVERSION=		3.1.65
+PORTVERSION=		3.1.71
 CATEGORIES=		mail
 MASTER_SITES=		http://eron.info/
 
diff -Nur /usr/ports/mail/mailagent/distinfo mailagent/distinfo
--- /usr/ports/mail/mailagent/distinfo	2010-04-02 18:21:33.000000000 +0900
+++ mailagent/distinfo	2011-05-23 16:26:43.830458024 +0900
@@ -1,3 +1,2 @@
-MD5 (mailagent-3.1.65.tar.bz2) = 8ba6f9f5bdf850b19d6f38e7d02a3322
-SHA256 (mailagent-3.1.65.tar.bz2) = 3212c1e0118ccdae5209950377debe70ec3fa15dbe2b1dc422568f3e5dcd8ba1
-SIZE (mailagent-3.1.65.tar.bz2) = 454295
+SHA256 (mailagent-3.1.71.tar.bz2) = 4785a018797d4405f8708ba59197f249f77cd4f22f87b086c04c7226cb64ebdb
+SIZE (mailagent-3.1.71.tar.bz2) = 446820
diff -Nur /usr/ports/mail/mailagent/files/patch-agent::pl::compress.pl mailagent/files/patch-agent::pl::compress.pl
--- /usr/ports/mail/mailagent/files/patch-agent::pl::compress.pl	2010-04-02 18:21:33.000000000 +0900
+++ mailagent/files/patch-agent::pl::compress.pl	1970-01-01 09:00:00.000000000 +0900
@@ -1,13 +0,0 @@
---- agent/pl/compress.pl.ORIG	2010-04-02 11:34:22.000000000 +0900
-+++ agent/pl/compress.pl	2010-04-02 12:06:36.000000000 +0900
-@@ -63,9 +63,8 @@
- 	unless (open(COMPSPEC, "$cf'compspec")) {
- 		# Configure a set of defaults if the user hasn't specified them manually
- 		# Fields are: tag extension compression_prog uncompress_prog cat_prog
--		# The following legacy line removed as modern systems lack compress:
--		# compress	.Z	compress	uncompress	zcat
- 		&add_compressor(<<'EOT');
-+compress	.Z	compress	uncompress	zcat
- gzip		.gz		gzip		gunzip		gunzip -c
- bzip2		.bz2	bzip2		bunzip2		bzcat
- EOT
Comment 4 pav freebsd_committer 2011-06-03 14:28:58 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter freebsd_committer 2011-06-03 14:32:54 UTC
pav         2011-06-03 13:32:40 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailagent       Makefile distinfo 
  Removed files:
    mail/mailagent/files patch-agent::pl::compress.pl 
  Log:
  - Update to 3.1.71
  
  PR:             ports/156922
  Submitted by:   Yoshiaki Kasahara <kasahara@nc.kyushu-u.ac.jp>
  
  Revision  Changes    Path
  1.43      +1 -1      ports/mail/mailagent/Makefile
  1.16      +2 -3      ports/mail/mailagent/distinfo
  1.2       +0 -13     ports/mail/mailagent/files/patch-agent::pl::compress.pl (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"